Subject: Re: [PATCH] rtl8xxxu: disable interrupt_in transfer for 8188cu and 8192cu

From: Kalle Valo <[email-masked]>
Date: Fri, 02 Jul 2021 11:41:58 +0300

[email-masked] writes:

> From: Chris Chiu <[email-masked]>
>
> There will be crazy numbers of interrupts triggered by 8188cu and
> 8192cu module, around 8000~10000 interrupts per second, on the usb
> host controller. Compare with the vendor driver source code, it's
> mapping to the configuration CONFIG_USB_INTERRUPT_IN_PIPE and it is
> disabled by default.
>
> Since the interrupt transfer is neither used for TX/RX nor H2C
> commands. Disable it to avoid the confusing interrupts for the
> 8188cu and 8192cu module which I only have for verification.

The last paragraph is not entirely clear for me, can you elaborate it
more? What do you mean with "confusing interrupts"? And is this fixing
an actual user visible bug or are you just reducing the number of
interrupts?

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches